%global momorel 1

Summary: This is a repository of GIR interface description files.
Name: gir-repository
Version: 0.6.5
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0

# cannot extern function gstvideo in defined header macro
Patch0: gir-repository-0.6.4-gstreamer-video.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gobject-introspection

BuildPrereq: dbus-glib-devel
BuildPrereq: atk-devel
BuildPrereq: poppler-devel
BuildPrereq: gtk2-devel
BuildPrereq: GConf2-devel
BuildPrereq: libsoup-devel
BuildPrereq: babl-devel
BuildPrereq: pango-devel
BuildPrereq: nautilus-devel
BuildPrereq: gnome-keyring-devel
BuildPrereq: webkitgtk-devel
BuildPrereq: libnotify-devel
BuildPrereq: gstreamer-devel
BuildPrereq: gstreamer-plugins-base-devel
BuildPrereq: gtksourceview2-devel
BuildPrereq: vte-devel
BuildPrereq: goocanvas-devel
BuildPrereq: avahi-devel
BuildPrereq: gnome-menus-devel
BuildPrereq: libwnck-devel
#BuildPrereq: gssdp-devel
#BuildPrereq: gupnp-devel

%description
This is a repository of GIR interface description files.

The idea is that these files should eventually migrate upstreams, but
meanwhile as they and gobject-introspection matures they will be kept
here.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q
%patch0 -p1 -b .gstvideo

%build
autoreconf -vfi
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/girepository-1.0/Atk-1.0.typelib
%{_libdir}/girepository-1.0/Avahi-0.6.typelib
%{_libdir}/girepository-1.0/AvahiCore-0.6.typelib
%{_libdir}/girepository-1.0/Babl-0.0.typelib
%{_libdir}/girepository-1.0/DBus-1.0.typelib
%{_libdir}/girepository-1.0/GConf-2.0.typelib
%{_libdir}/girepository-1.0/GMenu-2.0.typelib
#%%{_libdir}/girepository-1.0/GSSDP-1.0.typelib
#%%{_libdir}/girepository-1.0/GUPnP-1.0.typelib
%{_libdir}/girepository-1.0/Gdk-2.0.typelib
%{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
%{_libdir}/girepository-1.0/GnomeKeyring-2.0.typelib
%{_libdir}/girepository-1.0/GooCanvas-0.10.typelib
%{_libdir}/girepository-1.0/Gtk-2.0.typelib
%{_libdir}/girepository-1.0/GtkSource-2.2.typelib
%{_libdir}/girepository-1.0/JSCore-1.0.typelib
%{_libdir}/girepository-1.0/Nautilus-1.0.typelib
%{_libdir}/girepository-1.0/Notify-0.4.typelib
%{_libdir}/girepository-1.0/Poppler-0.8.typelib
%{_libdir}/girepository-1.0/Soup-2.4.typelib
%{_libdir}/girepository-1.0/Vte-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib
%{_libdir}/girepository-1.0/Wnck-1.0.typelib

%{_libdir}/libgirepo-DBus-custom.*
%{_libdir}/libgirepo-Gdk-custom.*
%{_libdir}/libgirepo-Gtk-custom.*

%{_datadir}/gir-1.0/Atk-1.0.gir
%{_datadir}/gir-1.0/Avahi-0.6.gir
%{_datadir}/gir-1.0/AvahiCore-0.6.gir
%{_datadir}/gir-1.0/Babl-0.0.gir
%{_datadir}/gir-1.0/DBus-1.0.gir
%{_datadir}/gir-1.0/GConf-2.0.gir
%{_datadir}/gir-1.0/GMenu-2.0.gir
#%%{_datadir}/gir-1.0/GSSDP-1.0.gir
#%%{_datadir}/gir-1.0/GUPnP-1.0.gir
%{_datadir}/gir-1.0/Gdk-2.0.gir
%{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
%{_datadir}/gir-1.0/GnomeKeyring-2.0.gir
%{_datadir}/gir-1.0/GooCanvas-0.10.gir
%{_datadir}/gir-1.0/Gtk-2.0.gir
%{_datadir}/gir-1.0/GtkSource-2.2.gir
%{_datadir}/gir-1.0/JSCore-1.0.gir
%{_datadir}/gir-1.0/Nautilus-1.0.gir
%{_datadir}/gir-1.0/Notify-0.4.gir
%{_datadir}/gir-1.0/Poppler-0.8.gir
%{_datadir}/gir-1.0/Soup-2.4.gir
%{_datadir}/gir-1.0/Vte-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir
%{_datadir}/gir-1.0/Wnck-1.0.gir

%{_libdir}/girepository-1.0/Gst-0.10.typelib
%{_libdir}/girepository-1.0/GstAudio-0.10.typelib
%{_libdir}/girepository-1.0/GstBase-0.10.typelib
%{_libdir}/girepository-1.0/GstController-0.10.typelib
%{_libdir}/girepository-1.0/GstFft-0.10.typelib
%{_libdir}/girepository-1.0/GstInterfaces-0.10.typelib
%{_libdir}/girepository-1.0/GstNet-0.10.typelib
%{_libdir}/girepository-1.0/GstNetbuffer-0.10.typelib
%{_libdir}/girepository-1.0/GstPbutils-0.10.typelib
%{_libdir}/girepository-1.0/GstRiff-0.10.typelib
%{_libdir}/girepository-1.0/GstRtp-0.10.typelib
%{_libdir}/girepository-1.0/GstRtsp-0.10.typelib
%{_libdir}/girepository-1.0/GstSdp-0.10.typelib
%{_libdir}/girepository-1.0/GstTag-0.10.typelib
%{_datadir}/gir-1.0/Gst-0.10.gir
%{_datadir}/gir-1.0/GstAudio-0.10.gir
%{_datadir}/gir-1.0/GstBase-0.10.gir
%{_datadir}/gir-1.0/GstController-0.10.gir
%{_datadir}/gir-1.0/GstFft-0.10.gir
%{_datadir}/gir-1.0/GstInterfaces-0.10.gir
%{_datadir}/gir-1.0/GstNet-0.10.gir
%{_datadir}/gir-1.0/GstNetbuffer-0.10.gir
%{_datadir}/gir-1.0/GstPbutils-0.10.gir
%{_datadir}/gir-1.0/GstRiff-0.10.gir
%{_datadir}/gir-1.0/GstRtp-0.10.gir
%{_datadir}/gir-1.0/GstRtsp-0.10.gir
%{_datadir}/gir-1.0/GstSdp-0.10.gir
%{_datadir}/gir-1.0/GstTag-0.10.gir

%{_libdir}/girepository-1.0/Unique-1.0.typelib
%{_datadir}/gir-1.0/Unique-1.0.gir

%{_libdir}/girepository-1.0/Pango-1.0.typelib
%{_libdir}/girepository-1.0/PangoCairo-1.0.typelib
%{_libdir}/girepository-1.0/PangoFT2-1.0.typelib
%{_libdir}/girepository-1.0/PangoX-1.0.typelib
%{_libdir}/girepository-1.0/PangoXft-1.0.typelib
%{_datadir}/gir-1.0/Pango-1.0.gir
%{_datadir}/gir-1.0/PangoCairo-1.0.gir
%{_datadir}/gir-1.0/PangoFT2-1.0.gir
%{_datadir}/gir-1.0/PangoX-1.0.gir
%{_datadir}/gir-1.0/PangoXft-1.0.gir

%changelog
* Sun Nov 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- from trunk

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.5-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-6m)
- good-bye gstreamer

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-5m)
- delete patch0

* Wed Sep 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-4m)
- good-bye pango

* Sat Sep 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.5-3m)
- add require gssdp, gupnp

* Tue Sep 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-2m)
- good-bye unique

* Thu Sep 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- update to 0.6.5

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-5m)
- good-bye clutter
- to main

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-4m)
- build with clutter-1.0 again

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-3m)
- build with clutter-0.8
-- comment out patch1

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- build with clutter-1.0
-- add patch1

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
-- does not build GstVideo-1.0.gir (patch0)
-- does not build gnio
-- does not build clutter (need version 0.8)
-- does not build gssdp
